# $Revision: 1.15 $, $Date: 2000/03/09 20:16:22 $
Summary:	Converts .fig files (such as those from xfig) to other formats
Summary(de):	Konvertiert .fig-Dateien (z.B. aus xfig) in andere Formate
Summary(fr):	Convertit les fichiers .fig (comme ceux d'xfig) en d'autres formats
Summary(pl):	konwerter formatu plikw .fig (jakie generuje xfig) do innych formatw
Summary(tr):	fig dosyalarn baka biimlere dntrr
Name:		transfig
Version:	3.2.3
Release:	2
Copyright:	distributable
Group:		X11/Applications/Graphics
Group(pl):	X11/Aplikacje/Grafika
Source:		ftp://ftp.x.org/contrib/applications/drawing_tools/transfig/%{name}.%{version}.tar.gz
Patch0:		transfig-imake-%{version}-2.patch
Buildroot:	/tmp/%{name}-%{version}-root
BuildRequires:	XFree86-devel
BuildRequires:	libjpeg-devel
BuildRequires:	xpm-devel
BuildRequires:	gdbm-devel

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
TransFig is a set of tools for creating TeX documents with graphics
which are portable, in the sense that they can be printed in a wide
variety of environments.

%description -l de
TransFig ist ein Satz von Tools zum Erstellen von TeX-Dokumenten mit
Grafiken, die portabel sind, das heit, sie knnen in einer groen Auswahl
von Umgebungen gedruckt werden.

%description -l fr
Transfig est un ensemble d'outils pour crer des documents textes avec
des graphiques portables, en ce sens qu'ils peuvent tre imprims dans
des nombreux environnements.

%description -l pl
Pakiet TransFig jest zbiorem narzdzi do tworzenia dokumentw TeXowych z
grafik, ktre bd przenoszalne w sensie, e bd mozliwe do wydrukowania
na szrokiej palecie drukarek.

%description -l tr
TransFig, izimler ieren TeX belgeleri retebilmek iin kullanlan bir ara
kmesidir ve eitli ortamlarda kts alnabilecek dosyalar yaratr.

%prep
%setup -q -n %{name}.%{version}
%patch0 -p1

%build
xmkmf
make Makefiles

%ifarch alpha
make EXTRA_DEFINES="-Dcfree=free" \
	CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"
%else
make	CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT

# Dunno why these are not installed
#for i in fig2ps2tex fig2ps2tex.sh pic2tpic
#do
#	install -c fig2dev/$i.script $RPM_BUILD_ROOT%{_bindir}/$i
#done

strip $RPM_BUILD_ROOT%{_bindir}/{fig2dev,transfig}

gzip -9nf $RPM_BUILD_ROOT%{_mandir}/man1/* \
	CHANGES NOTES README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All below listed persons can be reached on <cvs_login>@pld.org.pl

$Log: transfig.spec,v $
Revision 1.15  2000/03/09 20:16:22  kloczek
- cosmetics.

Revision 1.14  2000/03/07 22:22:32  mkochano
- Manual pages /usr/X11R6/share/man -> /usr/X11R6/man.

Revision 1.13  2000/03/07 22:05:14  mkochano
- Updated to 3.2.3

Revision 1.12  1999/07/27 23:00:13  kloczek
- fix listt stipped files.

Revision 1.11  1999/07/27 22:51:35  kloczek
- release 5,
- added stripping binaries.

Revision 1.10  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 27 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.2.1-4]
- based on RH spec,
- spec rewrited by PLD team.